Skip to main content
POST
Share by email

Authorizations

X-Shopify-ApiKey
string
header
required

Store API key from Wishlist settings > API Settings.

X-Shopify-Shop
string
header
required

The store's myshopify domain, e.g. your-store.myshopify.com.

X-Shopify-CustomerId
string
header
required

Numeric Shopify customer id of a logged-in shopper. Verified against the store on every call.

Path Parameters

wishlistId
string
required

Numeric wishlist id.

Pattern: ^\d+$

Body

application/json
recipients
string[]
required

1-20 unique valid emails after splitting commas and de-duplicating.

Minimum array length: 1
variantIds
(string | integer)[]
senderName
string
default:A friend
language
string
default:en
shareBase
string<uri>

Response

Every recipient unchanged